jQuery(document).ready(function ($) {
  $("#verify-it-form").on("submit", function (e) {
    e.preventDefault();

    var pluginKey = $("#plugin-key").val();

    if (pluginKey) {
      // Perform the API request
      $.ajax({
        url: `https://app.verifyid.dk/api/user/${pluginKey}`,
        method: "GET",
        success: function (response) {
          $.post(
            ajaxurl,
            {
              action: "verify_it_save_user_data",
              plugin_key: pluginKey,
              user_name: response.name,
              user_email: response.email,
            },
            function () {
              location.reload();
            }
          );
        },
        error: function () {
          Swal.fire({
            icon: "error",
            title: "Fejl",
            text: "Kunne ikke bekræfte nøglen. Prøv venligst igen.",
          });
        },
      });
    }
  });
});
