document.addEventListener("DOMContentLoaded", function () {
  // Parse the URL to find the token parameter
  const urlParams = new URLSearchParams(window.location.search);
  const token = urlParams.get("token");

  if (token) {
    // Save the token to localStorage
    localStorage.setItem("x_token_age_verified", token);
    document.cookie = `x_token_age_verified=${token}; path=/; expires=Wed, 24 Oct 2025 02:02:02 GMT`;
    // Redirect to the checkout page
    window.location.href = "/checkout";
  }
});
