<?php
// Enqueue the age verification and onboarding scripts
function age_verification_enqueue_scripts() {
    if (is_page('verify-id')) { 
        wp_enqueue_script(
            'verify-id-js',
            plugin_dir_url(__FILE__) . '../assets/js/verify-id.js',
            array(),
            '1.14',
            true
        );
    }

    wp_enqueue_script(
        'onboarding-js',
        plugin_dir_url(__FILE__) . '../assets/js/onboarding.js',
        array('jquery'),
        '1.14',
        true
    );

 
}
add_action('wp_enqueue_scripts', 'age_verification_enqueue_scripts');
